%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Chemistry/Atom.pm) perl(Chemistry/File/SMARTS.pm) perl(Chemistry/InternalCoords.pm) perl(Chemistry/Pattern.pm) perl(Chemistry/Ring.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(List/Util.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.10
%define module_name Chemistry-3DBuilder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.10
Release: alt1
Summary: Generate 3D coordinates from a connection table
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IT/ITUB/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module generates a three-dimensional molecular structure from a connection
table, such as that obtained by a 2D representation of the molecule or from a
SMILES string.

NOTE: this module is still at a very early stage of development so it has
important limitations. 1) It doesn't handle rings or stereochemistry yet!  2)
The bond lengths and atoms are very approximate as they don't really account
for different elements. 3) Only the sp3, sp2, and sp hybridizations are
supported.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/C*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

